Bug 1289499 - Realtek r8169 driver does not work in 4.2.6-301.fc23 , but did work in 4.2.3-300
Realtek r8169 driver does not work in 4.2.6-301.fc23 , but did work in 4.2.3-300
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 05:36 EST by customercare
Modified: 2016-10-24 07:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-24 07:31:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2015-12-08 05:36:39 EST
Description of problem:

Model: ACER ASPHIRE E5-571G-54MW
Driver: r8169

In kernel 4.2.3-300 , the r8169 worked with the local ethernet hw.

in kernel 4.2.6-301 ( the actual stable Kernel ) the ethernet hw does no longer function. Switching the kernel back, fixes the problem. 

lspci:

02:00.0 unassigned class [ff99]: Realtek Semi.... Device 5287 ( rev 01 ) 
02:00.1 Ethernet conroller: Realtek Semi....RTL8111/8186/8411 PCI Express Gigabit Ethernet Controller (rev 12 )


Diagnosis:

The hw gets access to the point, where the kernel says "link up" in dmesg,
but thats it.. NO TRAFFIC going in or out of the device. From inside the System, everything looks normal. All programs behave as they should (as if the cable wasn't plugged in ), except you don't get any packets out.

I check the kmods and found a slight change in size of the two drivers, so something changed. 

Please revert the last patch.
Comment 1 customercare 2015-12-08 05:52:29 EST
Update: 

by accident I found a way to activate it.

If the laptop is send into suspend mode, and reawaken, the interface starts to work. 

No changes on the network config are made to do this.

A running ping to a server in the network gets from "unreachable destination" via suspendmode to "normal pings".

My guess: Timing issues from the driver side while initialising the hw.
Comment 2 customercare 2015-12-08 05:54:43 EST
Additional Information: System boots via ssd (very fast)
Comment 3 customercare 2015-12-09 05:43:46 EST
today, the first boot came with working ethernet, without suspending.

For me, sounds more and more like a hw timing issue on initialisation of the driver.
Comment 4 Christian Stadelmann 2016-03-25 09:00:10 EDT
Probably a duplicate of bug #1312006
Comment 5 Neal Gompa 2016-04-17 12:41:06 EDT
This issue is still present on the latest kernel: 4.4.6-301.fc23.x86_64.
Comment 6 Laura Abbott 2016-09-23 15:41:47 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 7 customercare 2016-10-24 07:31:48 EDT
Bugs seem to have different causes. 

After the here mentioned kernels, the problem never occured again.
After switchting to F24 , no bugs occured. 

Look slike it got already fixed.

Note You need to log in before you can comment on or make changes to this bug.